"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const pacote = require("pacote");
const tar = require("tar");
class PacoteService {
    constructor($npm) {
        this.$npm = $npm;
    }
    manifest(packageName, options) {
        return __awaiter(this, void 0, void 0, function* () {
            const manifestOptions = { cache: yield this.$npm.getCachePath() };
            if (options) {
                _.extend(manifestOptions, options);
            }
            return pacote.manifest(packageName, manifestOptions);
        });
    }
    extractPackage(packageName, destinationDirectory, options) {
        return __awaiter(this, void 0, void 0, function* () {
            const extractOptions = { strip: 1, C: destinationDirectory };
            if (options) {
                _.extend(extractOptions, options);
            }
            const cache = yield this.$npm.getCachePath();
            return new Promise((resolve, reject) => {
                const source = pacote.tarball.stream(packageName, { cache });
                source.on("error", (err) => {
                    reject(err);
                });
                const destination = tar.x(extractOptions);
                source.pipe(destination);
                destination.on("error", (err) => reject(err));
                destination.on("finish", () => resolve());
            });
        });
    }
}
exports.PacoteService = PacoteService;
$injector.register("pacoteService", PacoteService);
